### Class

# AppStream Agreement

since: 1.0

#### Description

    class AppStream.Agreement : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### as_agreement_new

Creates a new `AsAgreement`.

since: 0.12.1

#### Instance methods

###### as_agreement_add_section

No description available.

since: 1.0

###### as_agreement_get_kind

Gets the agreement kind.

since: 0.12.1

###### as_agreement_get_section_default

Gets the first section in the agreement.

since: 0.12.1

###### as_agreement_get_sections

Gets all the sections in the agreement.

since: 0.12.1

###### as_agreement_get_version_id

Gets the agreement version_id.

since: 0.12.1

###### as_agreement_set_kind

Sets the agreement kind.

since: 0.12.1

###### as_agreement_set_version_id

Sets the agreement version identifier.

since: 0.12.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AppStreamAgreementClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );
      void (* _as_reserved7) (
    void
      );
      void (* _as_reserved8) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_as_reserved1: void (* _as_reserved1) ( void )`
  No description available.
`_as_reserved2: void (* _as_reserved2) ( void )`
  No description available.
`_as_reserved3: void (* _as_reserved3) ( void )`
  No description available.
`_as_reserved4: void (* _as_reserved4) ( void )`
  No description available.
`_as_reserved5: void (* _as_reserved5) ( void )`
  No description available.
`_as_reserved6: void (* _as_reserved6) ( void )`
  No description available.
`_as_reserved7: void (* _as_reserved7) ( void )`
  No description available.
`_as_reserved8: void (* _as_reserved8) ( void )`
  No description available.